<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('message_settings', function (Blueprint $table) {
            $table->boolean('call_expiry')->default(true)->after('group_chat');
        });
    }

    public function down(): void
    {
        Schema::table('message_settings', function (Blueprint $table) {
            $table->dropColumn('call_expiry');
        });
    }
};
